---
title: Deletes multiple keywords in a single request.
slug: api-documentation/deletes-multiple-keywords-in-a-single-request
docTags: 
createdAt: 2026-08-27T17:03:26.359Z
---

{
  "id": "kxCbdnaoI4wL32tveVd9F",
  "type": "api-oas-v2",
  "data": {
    "method": "DELETE",
    "url": "https://api.upstartcommerce.com/pim/keywords/batch",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/pim/keywords/batch"
      }
    ],
    "name": "Deletes multiple keywords in a single request.",
    "description": "This endpoint enables administrators to delete multiple keywords by their IDs in batch.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "",
          "customType": "BatchDeleteKeywordsRequest.json",
          "schema": [],
          "modelRef": "schemas/Keyword/BatchDeleteKeywordsRequest.json",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>(DEPRECATED) Bearer token authentication.</p>",
          "scheme": "bearer"
        },
        {
          "id": "ApiKeyAccess",
          "name": "X-Upstart-Api-Key",
          "kind": "optional",
          "type": "apiKey",
          "description": "Api key based authorization.",
          "in": "header"
        },
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "Session based authorization.",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "All keywords deleted successfully.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "207",
        "description": "<p>Some keywords deleted successfully, others failed.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [],
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "DCp2OpgTUUg1YSdDQVruP",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request DELETE \\\n     --url https://api.upstartcommerce.com/pim/keywords/batch \\\n     --header 'accept: application/json'"
        },
        {
          "id": "0b1ZY-gpoRyHr2xMuaSr0",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\n\nvar requestOptions = {\n   method: 'DELETE',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/pim/keywords/batch\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "gpcwLi5dhSX4VhtWFsYSV",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/pim/keywords/batch\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Delete.new(url)\nrequest[\"accept\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "rJleuNvoVBO0ReB0pklah",
          "language": "python",
          "label": "Python",
          "code": "import requests\n\nurl = \"https://api.upstartcommerce.com/pim/keywords/batch\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json'\n}\n\nresponse = requests.request(\"DELETE\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "DCp2OpgTUUg1YSdDQVruP"
    },
    "results": {
      "languages": [
        {
          "id": "ZoMkHXjLyr9bHGLCaU3aM",
          "language": "200",
          "code": "// All keywords deleted successfully.\n{}"
        },
        {
          "id": "V3HBgyBRJeBb3gDGT3yMx",
          "language": "207",
          "code": "// Some keywords deleted successfully, others failed.\n{}"
        }
      ],
      "selectedLanguageId": "ZoMkHXjLyr9bHGLCaU3aM"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}